using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using System.Net.Sockets;
using System.Text;

namespace Syslog
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            SyslogClient client = new SyslogClient("192.168.2.113");
            for(int i = 1;i<8;i++)
            {
                SyslogClient.Severity serv = (SyslogClient.Severity)i;
                for (int i2 = 0; i2 < 18; i2++)
                {
                    SyslogClient.Facility fac = (SyslogClient.Facility)i2;
                    client.SendSyslogMessage(serv, fac, "Socket Sample");
                }
            }
        }
    }
}